(Topic ID: 209520)

GOTG Sound Replacement Mod

By cleland

6 years ago


Topic Heartbeat

Topic Stats

You

Linked Games

Topic Gallery

View topic image gallery

gotg (resized).jpg
20240117_223300 (resized).jpg
IMG_1059 (resized).JPG
20230915_211450 (resized).jpg
20230915_211452 (resized).jpg
IMG_8462 (resized).JPG
Screen Shot 2023-06-22 at 4.53.51 PM (resized).png
pasted_image (resized).png
IMG_6267 (resized).JPG
2022-12-12 08_38_32-Boot stern- (D_) (resized).png
Screenshot_20221128-230251 (resized).png
Screenshot_20221127-221032 (resized).png
2jlz4j (resized).jpg
4DDDBB15-0229-4B4F-BD99-83D52270EB6E (resized).jpeg
Screenshot 2022-01-06 153140 (resized).png
FC5CC318-1388-49A5-9068-EEFEF1F19C1E (resized).jpeg

Topic index (key posts)

13 key posts have been marked in this topic, showing the first 10 items. (Show topic index)

There are 1,422 posts in this topic. You are on page 20 of 29.
#951 2 years ago
Quoted from C0untDeM0net:

The very last line of sterns warning says if you downgrade from 1.08 you will brick the node boards.

I'm not sure you understand what bricking means because you keep using the term incorrectly and at best you're speculating. Bricking means your device is completely useless unless sent back to the manufacturer and replaced. Curious how you get this interpretation from this line:

"If someone DOWNGRADES their new game from 1.08 to 1.07 these newer node boards will no longer work."

The obvious interpretation here is that they simply stop working because the old code doesn't reference them and you need to go back to 1.08 for them to work again. This is not bricking.

3 weeks later
#952 2 years ago

So, I was lucky to snag a used July 26th build with the 1.06 code installed (just under the wire). I have been trying out the custom codes, currently the Cleland version. What audio settings are people using? I have the speech attenuation where I think is a good level, but I find the overall sound is not a clear/good as I would have expected. So, does anyone have the magical combination with the other sound settings?

#953 2 years ago

ANYONE KNOW HOW I CAN GET THE LE VERSION OF THE UPDATE? SEEMS LIKE THE LINK IS GONE ON ALL OF THE POSTS. MAYBE I'M DUMB. ALSO KNOW, IM NOT YELLING MY KEYBOARD AT WORK WAS GLUED SO THE CAPS LOCK IS ALWAYS ON AS PEOPLE THINK I'M GENERALLY ANGRY.

#954 2 years ago
Quoted from sleepysubie:

ANYONE KNOW HOW I CAN GET THE LE VERSION OF THE UPDATE? SEEMS LIKE THE LINK IS GONE ON ALL OF THE POSTS. MAYBE I'M DUMB. ALSO KNOW, IM NOT YELLING MY KEYBOARD AT WORK WAS GLUED SO THE CAPS LOCK IS ALWAYS ON AS PEOPLE THINK I'M GENERALLY ANGRY.

yOU nEED tO mESSAGE cLELAND aND hE wILL gIVE yOU lINK.

#955 2 years ago
Quoted from jedi42:

So, I was lucky to snag a used July 26th build with the 1.06 code installed (just under the wire). I have been trying out the custom codes, currently the Cleland version. What audio settings are people using? I have the speech attenuation where I think is a good level, but I find the overall sound is not a clear/good as I would have expected. So, does anyone have the magical combination with the other sound settings?

This is from Clevland himself.
Hope this helps.
https://pinside.com/pinball/forum/topic/gotg-sound-replacment-mod/page/18#post-5998161

#956 2 years ago
Quoted from mcvetyty:

I'm not sure you understand what bricking means because you keep using the term incorrectly and at best you're speculating. Bricking means your device is completely useless unless sent back to the manufacturer and replaced. Curious how you get this interpretation from this line:
"If someone DOWNGRADES their new game from 1.08 to 1.07 these newer node boards will no longer work."
The obvious interpretation here is that they simply stop working because the old code doesn't reference them and you need to go back to 1.08 for them to work again. This is not bricking.

ha I didn't see this. I'm curious to know if anyone has downgraded successfully with the new node boards and didn't brick their node boards (and yes I know very well what bricking means). I have never had issues going up and down between versions of software but a while back I got a PM that warned me this

"Running old code is not compatible with the new revision of hardware. It will not operate and will set the hardware into a state the new code will not run either."

So, would love to know if anyone took the chance and downgraded. I wouldn't

#957 2 years ago

Yeah, saw that. I have the attenuation to my liking, was more asking about the other sound settings that deal with treble, bass, etc found in the sound settings. Lots of settings to tinker with there.

2 weeks later
#958 2 years ago

Hello friends ,
i just bought a GOTG ..
I want to change the music but my pinball machine is in version 1.08 ..
did our friend @ Cléland succeed in putting the music for versions 1.08?
or unfortunately it is a failure and therefore all the owners of 1.08 will not be able to install this brilliant mod?

#959 2 years ago

just checked one thing:
my pinball machine is in 1.08 but it was manufactured in 2018 so its former owner confirmed to me that before it was in 1.06 ...
so if I understood correctly, I would have no knot problems and therefore I can go down to version 1.06! ??

#960 2 years ago

my pinball machine was in 1.06 before ( excuse me for my translation)

#961 2 years ago
Quoted from docdu72:

just checked one thing:
my pinball machine is in 1.08 but it was manufactured in 2018 so its former owner confirmed to me that before it was in 1.06 ...
so if I understood correctly, I would have no knot problems and therefore I can go down to version 1.06! ??

Like it was said in the previous page, as I understand it if you have core nodes 8 and 9 then downgrading could brick the game. As you have an earlier build you should be able to downgrade but we don't know for a fact until someone has tried it. Let's see if someone who has done this can chip in.

Machines that come with 1.08 should not be downgraded.
-------
* NOTE: The current production of Guardians of the Galaxy (GOTG) uses core nodes
(address 8 and 9) with a new electronics component. These core nodes require
firmware version 0.51.0 or later. The GOTG software has been updated to V1.08
with this support. The previous version V1.07 (from 6/28/19) does NOT support
the new node board. If someone DOWNGRADES their new game from 1.08 to 1.07
these newer node boards will no longer work.

#962 2 years ago

Of course my friend , but my pinball was maked in 2018 and not in The current production .
So no problems ?! Because i havent got new electronics component on my pinball

#963 2 years ago
Quoted from docdu72:

Of course my friend , but my pinball was maked in 2018 and not in The current production .
So no problems ?! Because i havent got new electronics component on my pinball

I suspect that rolling back to rel 106 will cause no issues but it is suspected, not certainty.

1 month later
#964 2 years ago

V1.08 with insider connect is now available. Is there an update planned for GOTG from your end?

#965 2 years ago
Quoted from sleepysubie:

ANYONE KNOW HOW I CAN GET THE LE VERSION OF THE UPDATE? SEEMS LIKE THE LINK IS GONE ON ALL OF THE POSTS. MAYBE I'M DUMB. ALSO KNOW, IM NOT YELLING MY KEYBOARD AT WORK WAS GLUED SO THE CAPS LOCK IS ALWAYS ON AS PEOPLE THINK I'M GENERALLY ANGRY.

You have to PM the creator of

Quoted from HarrieD:

V1.08 with insider connect is now available. Is there an update planned for GOTG from your end?

He posted the head-banging emoji when 1.08 was released which I believe means he had been working on 1.07 and the new Pinball Browser release that supports it but now has to focus on 1.08 instead. So I think he's going to try to get it working if Pinball Browser is updated (if necessary, I don't really follow that specific thread) to work with it as well.

12
#966 2 years ago

I will be updating GOTG over the Christmas Holiday. Stranger Things took precedence over Guardians due to only being 20 or so sound changes. GOTG has hundreds! Hope to give you all an update on Christmas Day!

#967 2 years ago

I really appreciate your efforts on this.
Thanks!

#968 2 years ago
Quoted from cleland:

I will be updating GOTG over the Christmas Holiday. Stranger Things took precedence over Guardians due to only being 20 or so sound changes. GOTG has hundreds! Hope to give you all an update on Christmas Day!

I KNOW this is a lot of work, but the GOTG owners will applaud your efforts. And I would guess that 1.09 will be the last one we’ll see for this title for a really long time since it is ~4 years old. So you won’t have to do another upgrade anytime soon…

#969 2 years ago
Quoted from cleland:

I will be updating GOTG over the Christmas Holiday. Stranger Things took precedence over Guardians due to only being 20 or so sound changes. GOTG has hundreds! Hope to give you all an update on Christmas Day!

I stated it before, your work is the best mod on GOTG ever. If no 1.08C version would be made then no insider connect for me for GOTG.
But now I don't have to worry about that.

Thanks for your great efforts mr. Cleland!

Have some great days you all, enjoy the company of your family and all the good stuff.

1 week later
#970 2 years ago

Can't wait for the new update

#971 2 years ago

Commenting so I can follow. My game has 1.08 code and was built in 11/20

#972 2 years ago

Just a quick update on this. With the release of 1.09 Pinball Browser is unable to open the image. When it can I'll update my sounds to it.
So, we are in a holding pattern until then. If you have a build date pre August 2021, you can run my 1.06 sound image. Remember to flash to a separate SD card, so you can swap back your stock one.

#973 2 years ago

That's too bad. Thanks for your update mr. Cleland. I will monitor this thread.

#974 2 years ago
Quoted from cleland:

Just a quick update on this. With the release of 1.09 Pinball Browser is unable to open the image. When it can I'll update my sounds to it.
So, we are in a holding pattern until then. If you have a build date pre August 2021, you can run my 1.06 sound image. Remember to flash to a separate SD card, so you can swap back your stock one.

I dont know how much work it is but could you perhaps not do an update based on 108 if this can be opened? With this owners of the new node boards can already enjoy your excellent work.

109 is for mainly IC which not everybody is any to use anyway.

#975 2 years ago
Quoted from cleland:

Just a quick update on this. With the release of 1.09 Pinball Browser is unable to open the image. When it can I'll update my sounds to it.
So, we are in a holding pattern until then. If you have a build date pre August 2021, you can run my 1.06 sound image. Remember to flash to a separate SD card, so you can swap back your stock one.

Really looking forward to this, everything I've heard about your work has been amazing. We purchased our GOTG last summer but with delays ended up getting a newer 1.08v, so we were bummed we couldn't use your update. Love the game but I know your update will make it so much better! Thanks for all the work you've done on this!

#976 2 years ago

Pinball Browser 8.03 was able to open the 1.09 release for me. I don't have a licensed version so I can't see the videos but all the sounds are there and appear to be playable. Took a while to open and looked hung but no errors or anything. I'm on windows so maybe that makes a difference?

Screenshot 2022-01-06 153140 (resized).pngScreenshot 2022-01-06 153140 (resized).png
12
#977 2 years ago

Yes, but the problem is you will hear crazy static on some of the sounds when you play them. This is part of Stern's new strategy to use multiple audio codecs to mess with Pinball Browser, same issue with Stranger Things. Hopefully, Pinball Browser gets an update, because both of these games are done....and I'm done with Stern games.

#978 2 years ago
Quoted from cleland:

Yes, but the problem is you will hear crazy static on some of the sounds when you play them. This is part of Stern's new strategy to use multiple audio codecs to mess with Pinball Browser, same issue with Stranger Things. Hopefully, Pinball Browser gets an update, because both of these games are done....and I'm done with Stern games.

Thanks for all that you do, Cleland! You are a true gem to the pinball community! I am happily running your prior codes on my GOTG and STh and will not be updating the code unless a new mode or something truly significant is added (even then would make me cringe!). Our family loves your sound mods and our games would feel different now without them.

#979 2 years ago
Quoted from cleland:

Yes, but the problem is you will hear crazy static on some of the sounds when you play them. This is part of Stern's new strategy to use multiple audio codecs to mess with Pinball Browser, same issue with Stranger Things. Hopefully, Pinball Browser gets an update, because both of these games are done....and I'm done with Stern games.

I don't understand why they would make it so difficult for people to make their games better, especially if Stern isn't going to do it...

Any chance of finishing your work with 1.08? Doesn't sound like many are interested in updating to 1.09.

#980 2 years ago
Quoted from wbloss:

I don't understand why they would make it so difficult for people to make their games better, especially if Stern isn't going to do it...
Any chance of finishing your work with 1.08? Doesn't sound like many are interested in updating to 1.09.

It definitely sucks but they are probably doing it to protect their licensing agreements which is arguably necessary.

#981 2 years ago
Quoted from bobukcat:

It definitely sucks but they are probably doing it to protect their licensing agreements which is arguably necessary.

And to protect their intellectual property. I find it annoying but understandable tbh.

#982 2 years ago

If anyone has a copy of 1.08 code I can edit it to be completed for Cleland sound mod. Until there is an update to pinball browser there is about nothing that can be done.

#983 2 years ago
Quoted from Fishman54:

If anyone has a copy of 1.08 code I can edit it to be completed for Cleland sound mod. Until there is an update to pinball browser there is about nothing that can be done.

this still works for me

https://f002.backblazeb2.com/file/gamecode/guardians-1_08_0.Release.8G.sdcard.raw.zip

#984 2 years ago

If its ok with Cleland I can make a 1.08 game version

#985 2 years ago
Quoted from Fishman54:

If its ok with Cleland I can make a 1.08 game version

I'm going to PM you. I'm happy to pass off a link to my 800 samples and Pinball Browser macro from 1.06 if you want update it to 1.08.
Thanks!

#986 2 years ago

If anyone has a pro model of GOTG and wants to try the 1.08 Cleland's code PM me for the download link I need someone to help test the code on a pro.

#987 2 years ago
Quoted from Fishman54:

If anyone has a pro model of GOTG and wants to try the 1.08 Cleland's code PM me for the download link I need someone to help test the code on a pro.

I have a Pro and might be willing to be the guinea pig. I got mine in September and haven't run this kind of update before. If it doesn't work right, do I just swap my original factory SD card back in, and all is well again? Or are there some risks?

#988 2 years ago
Quoted from rockeeraccoon:

I have a Pro and might be willing to be the guinea pig. I got mine in September and haven't run this kind of update before. If it doesn't work right, do I just swap my original factory SD card back in, and all is well again? Or are there some risks?

Were you already running original stern 108 or 109 ? If yes, I think the risk is close to zero. This as I Haven’t heard of any bricked stern till now because of pinball browser.

And yes, always use a new SD card and keep the original SD card intact.

#989 2 years ago
Quoted from Rensh:

Were you already running original stern 108 or 109 ? If yes, I think the risk is close to zero. This as I Haven’t heard of any bricked stern till now because of pinball browser.
And yes, always use a new SD card and keep the original SD card intact.

Hi Rens,

When does a stern get bricked?

#990 2 years ago
Quoted from HarrieD:

Hi Rens,
When does a stern get bricked?

Don’t know, never heard of one.

But, if you fiddle with software I guess it’s, theorically, always possible.

#991 2 years ago
Quoted from Rensh:

Were you already running original stern 108 or 109 ? If yes, I think the risk is close to zero. This as I Haven’t heard of any bricked stern till now because of pinball browser.
And yes, always use a new SD card and keep the original SD card intact.

Mine came from the factory installed with 1.08

#992 2 years ago

If anyone with a Pro wants to give it a shot, please post your results. I can't test on my game until Saturday....just way to busy with real life stuff and no time for pinball. Big thanks to Fishman54 for taking the time to port over my sounds.

#993 2 years ago

I don't have anything to compare it to, as I never was able to use the Cleland mod before, but I tried the sound mod from Fishman54 last night on my Pro and it was great! The machine worked just fine, and all of the extra songs added so much. Thank you very much @fishman54!

#994 2 years ago
Quoted from jstarner79:

I don't have anything to compare it to, as I never was able to use the Cleland mod before, but I tried the sound mod from Fishman54 last night on my Pro and it was great! The machine worked just fine, and all of the extra songs added so much. Thank you very much Fishman54!

So it worked on your pro? Was it already 1.08?

1 week later
#995 2 years ago

Any new word on this. I would like to upgrade to the newest code, so I can do the insider connect, but no way I will unless Clelands code works with it. For me the machine wouldn't be a keeper without Clelands code.

#996 2 years ago
Quoted from smoothbore19:

Any new word on this. I would like to upgrade to the newest code, so I can do the insider connect, but no way I will unless Clelands code works with it. For me the machine wouldn't be a keeper without Clelands code.

I am eagerly awaiting this too. Fishman54 created a 1.08 version (and one person tried it successfully), but said that he wants to tweak it a bit more before making it available to others. This version would not work with Insider Connect as it's not 1.09 (which currently can't be modified with Pinball Browser).

#997 2 years ago
Quoted from rockeeraccoon:

I am eagerly awaiting this too. Fishman54 created a 1.08 version (and one person tried it successfully), but said that he wants to tweak it a bit more before making it available to others. This version would not work with Insider Connect as it's not 1.09 (which currently can't be modified with Pinball Browser).

There is some wisdom in only modifying v1.08 instead of "going all the way" to v1.09 since 1) the changes between the two versions are basically only insider-connect stuff, and 2) with v1.09 and the IC-kit hardware installed, there is a 'chance' that Stern would now have an easy mechanism to detect any unauthorized gamecode version, which is a violation of their license. Not saying they would do anything with that knowledge, but technically that would be pretty easy for them to do.

#998 2 years ago

Makes sense, sounds like 1.08 would be the highest to update to if the code gets tweaked right for the music

#999 2 years ago

After alot of play on the Fishman54 take on the cleland code to 1.08 i am either crazy or i just never heard some of these call outs before but it is fantastic to have the good music and newer code

#1000 2 years ago

Fishman54 did take a run at updating it, but he only did the music changes. There are over 200 call outs that need be done as well.
If anyone savy with Pinball Browser wants to take a stab at it, I'll share my over 700 audio files, no problem.

I finally have a couple days off next week, so hopefully I can finally get it done. I've left my game at 1.06 but have not touched it in over 3 weeks...just too much going on with work and life.

Promoted items from the Pinside Marketplace
$ 175.00
Cabinet - Sound/Speakers
PinWoofer
Sound/Speakers
There are 1,422 posts in this topic. You are on page 20 of 29.

Reply

Wanna join the discussion? Please sign in to reply to this topic.

Hey there! Welcome to Pinside!

Donate to Pinside

Great to see you're enjoying Pinside! Did you know Pinside is able to run without any 3rd-party banners or ads, thanks to the support from our visitors? Please consider a donation to Pinside and get anext to your username to show for it! Or better yet, subscribe to Pinside+!


This page was printed from https://pinside.com/pinball/forum/topic/gotg-sound-replacment-mod/page/20?hl=fishman54 and we tried optimising it for printing. Some page elements may have been deliberately hidden.

Scan the QR code on the left to jump to the URL this document was printed from.